SAVELOG(8)

NOM
savelog - sauvegarde un fichier journal

SYNOPSIS
savelog [-m mode] [-u utilisateur] [-g groupe] [-t] [-p] [-c cycle] [-l] [-j] [-C] [-d] [-l] [-r répertoire] [-n] [-q] fichier...

DESCRIPTION
Le programme savelog sauvegarde un fichier journal et éventuellement, compresse les anciens fichiers. Les anciennes versions de fichier sont renommées :
    fichier.<numéro><extension_de_compression>
ou <numéro> est le numéro de version, la version la plus récente portant le numéro 0. Si l'option -l n'est pas spécifiée, les versions dont le numéro est > 0 sont compressées. La version 0 n'est pas compressée car le fichier est peut-être utilisé par un programme. L'argument cycle indique le nombre de versions à conserver. Si le fichier n'existe pas et que l'option -t est utilisée, le fichier est créé. Les actions suivantes sont effectuées pour les fichiers existants, dont la taille est supérieure à zéro :

1)  La version change, le fichier de version cycle-2 est renommé version cycle-3, la version cycle-1 est renommée version cycle-2 , et ainsi de suite. Finalement, la version 0 est renommée version 1 et la version cycle est supprimée. Même en spécifiant l'option -l, les fichiers compressés et non compressés sont renommés. Les versions manquantes sont ignorées.

2)  Le nouveau fichier.1 est compressé sauf si l'option -l est utilisée. Il est modifié en tenant compte des arguments des options -m, -u, et -g.

3)  Le fichier principal est renommé fichier.0.

4)  Si les options -m, -u, -g, -t, ou -p sont utilisées, alors un fichier vide est créé en tenant compte des arguments de ces options. En utilisant l'option -p , le fichier est créé avec le même utilisateur, groupe et permissions que l'ancien fichier.

5)  Le nouveau fichier.0 est modifié en fonction des arguments des options -m, -u, et -g. Comme le numéro de version commence à 0, cycle n'est jamais atteint. La valeur de cycle doit être supérieure ou égale à 2.

OPTIONS

-m mode
    Modifie les autorisations d'accès des fichiers journaux (chmod mode).

-u utilisateur
    Attribue les fichiers journaux à utilisateur (chown utilisateur).

-g groupe
    Attribue les fichiers journaux au groupe groupe (chgrp groupe).

-c cycle
    Sauvegarde cycle versions du fichier journal (7 par défaut).

-t  Si nécessaire, crée le fichier journal.

-l  Ne compresse pas les fichiers journaux (par défaut, les fichiers sont compressés).

-p  Conserve le propriétaire, le groupe et les permissions du fichier journal.

-j  Compresse avec bzip2 au lieu de gzip.

-C  Force la suppression des sauvegardes.

-d  Utilise la date (YYMMDDhhmmss) au lieu du numéro de version.

-r  Sauvegarde les fichiers journaux dans le répertoire répertoire au lieu de .

-n  Ne sauvegarde pas les fichiers vides.

-q  N'affiche pas de message.

BOGUES
Si un programme est en train d'écrire fichier.0, et que savelog le renomme fichier.1 et le compresse, des données peuvent être perdues.

TRADUCTION
Antoine Gémis <agemis@netuup.com>.